Bug 840917 - deleted user is still displayed in portal configured using JTA
deleted user is still displayed in portal configured using JTA
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.2.ER02
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.2.CR01
Assigned To: mposolda
:
Depends On:
Blocks: JBEPP-891
  Show dependency treegraph
 
Reported: 2012-07-17 11:16 EDT by vramik
Modified: 2012-08-27 11:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8815 by mposolda at 2012-08-10 04:29:02 EDT (show)
8815 by mposolda at 2012-08-10 04:29:02 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 840917 deleted user is still displayed in portal configured using JTA<br>Bug 841320 added group isn't visible after signing out and in in portal using JTA<br>fixing regressions by revert of TransactionManagerLookup configuration for picketlink JBoss Cache

3 files changed:

  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/picketlink-idm/jboss-cache-api-cluster.xml (+1 / -1)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/picketlink-idm/jboss-cache-store-cluster.xml (+1 / -1)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/organization/picketlink-idm/jboss-cache.xml (+1 / -1)


Attachments (Terms of Use)

  None (edit)
Description vramik 2012-07-17 11:16:41 EDT
Description of problem:

Deleted user is still displayed in users and groups management.

How reproducible:
Start portal according to configuration of this job: 
https://hudson.qa.jboss.com/hudson/job/epp5_ui_selenium_tests_db_mysql5.5_JTA/

Steps to Reproduce:
1. Open portal and sign in as a root
2. go to New Staff and create user
3. go to Users and Groups management and delete created user
4. click Quick search icon
  
Actual results:
Deleted user is still displayed.

Expected results:
Deleted user shouldn't be displayed.

Additional info:
When you create new user after deleting the previous one, the previous one isn't displayed any more.
Comment 1 mposolda 2012-08-07 10:38:47 EDT
This issue is introduced by fix of https://bugzilla.redhat.com/show_bug.cgi?id=834635. So workaround for this issue is to comment the configuration of TransactionManagerLookup in JBoss cache configuration file gatein.ear/02portal.war/WEB-INF/conf/organization/picketlink-idm/jboss-cache.xml:

<!--<transaction transactionManagerLookupClass="org.jboss.cache.transaction.JBossStandaloneJTAManagerLookup" />-->

This is only a workaround, so I won't fix it into EPP_5.2 branch as it can also potentially introduce other regressions in EPP 5.2.2. 

The cause is that IDMUserListAccess added into IntegrationCache is sometimes lost after commit of JTA transaction and old instance of IDMUserListAccess is restored. Proper fix will require further investigation at JBoss Cache level.  

Simple application for test this issue: https://github.com/mposolda/jcr-transaction-test
Comment 2 mposolda 2012-08-13 07:07:41 EDT
Issue is finally fixed by revert of https://bugzilla.redhat.com/show_bug.cgi?id=834635 and commenting of TransactionManagerLookup in JBoss cache configuration file gatein.ear/02portal.war/WEB-INF/conf/organization/picketlink-idm/jboss-cache.xml:

<!--<transaction transactionManagerLookupClass="org.jboss.cache.transaction.JBossStandaloneJTAManagerLookup" />-->
Comment 3 vramik 2012-08-27 11:09:54 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.